<?php
/*
Author: Ryan Duff
Author URI: http://ryanduff.net
Description: Administrativa inst&auml;llningar f&ouml;r WP-Kontaktformul&auml;r
*/

load_plugin_textdomain('wpcf'); // NLS
$location = get_option('siteurl') . '/wp-admin/admin.php?page=options-contactform.php'; // Form Action URI

/*Lets add some default options if they don't exist*/
add_option('wpcf_email', 'du@exempel.se');
add_option('wpcf_subject', 'Resultat av postning av Kontaktformul&auml;r');
add_option('wpcf_success_msg', 'Tack f&ouml;r dina synpunkter!');
add_option('wpcf_error_msg', 'V&auml;nligen fyll i de f&auml;lt som kr&auml;vs.');
add_option('wpcf_show_quicktag', TRUE);

/*check form submission and update options*/
if ('process' == $_POST['stage'])
{
update_option('wpcf_email', $_POST['wpcf_email']);
update_option('wpcf_subject', $_POST['wpcf_subject']);
update_option('wpcf_success_msg', $_POST['wpcf_success_msg']);
update_option('wpcf_error_msg', $_POST['wpcf_error_msg']);

if(isset($_POST['wpcf_show_quicktag'])) // If wpcf_show_quicktag is checked
	{update_option('wpcf_show_quicktag', true);}
	else {update_option('wpcf_show_quicktag', false);}
	
}

/*Get options for form fields*/
$wpcf_email = stripslashes(get_option('wpcf_email'));
$wpcf_subject = stripslashes(get_option('wpcf_subject'));
$wpcf_success_msg = stripslashes(get_option('wpcf_success_msg'));
$wpcf_error_msg = stripslashes(get_option('wpcf_error_msg'));
$wpcf_show_quicktag = get_option('wpcf_show_quicktag');
?>

<div class="wrap"> 
  <h2><?php _e('Inst&auml;llningar f&ouml;r Kontaktformul&auml;r', 'wpcf') ?></h2> 
  <form name="form1" method="post" action="<?php echo $location ?>&amp;updated=true">
	<input type="hidden" name="stage" value="process" />
    <table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
      <tr valign="top"> 
        <th scope="row"><?php _e('Epostaddress:') ?></th> 
        <td><input name="wpcf_email" type="text" id="wpcf_email" value="<?php echo $wpcf_email; ?>" size="40" />
        <br />
<?php _e('Detta &auml;r addressen som epostmeddelandet kommer att skickas till.', 'wpcf') ?></td> 
      </tr> 
      <tr valign="top"> 
        <th scope="row"><?php _e('&Auml;mne:') ?></th> 
        <td><input name="wpcf_subject" type="text" id="wpcf_subject" value="<?php echo $wpcf_subject; ?>" size="50" />
        <br />
<?php _e('Detta &auml;r &auml;mnesraden i epostmeddelandet.', 'wpcf') ?></td> 
      </tr> 
     </table> 

	<fieldset class="options">
		<legend><?php _e('Meddelanden', 'wpcf') ?></legend>
		<table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
		  <tr valign="top"> 
			<th scope="row"><?php _e('Meddelande vid postning:', 'wpcf') ?></th> 
			<td><textarea name="wpcf_success_msg" id="wpcf_success_msg" style="width: 80%;" rows="4" cols="50"><?php echo $wpcf_success_msg; ?></textarea>
			<br />
	<?php _e('N&auml;r formul&auml;ret fyllts i korrekt kommer detta meddelande att visas.', 'wpcf') ?></td> 
		  </tr> 
		  <tr valign="top"> 
			<th scope="row"><?php _e('Meddelande vid fel:', 'wpcf') ?></th> 
			<td><textarea name="wpcf_error_msg" id="wpcf_error_msg" style="width: 80%;" rows="4" cols="50"><?php echo $wpcf_error_msg; ?></textarea>
			<br />
	<?php _e('Om en anv&auml;ndare hoppar &ouml;ver ett f&auml;lt som kr&auml;vs kommer detta meddelande att visas.', 'wpcf') ?> <br />
	<?php _e('Du kan l&auml;gga till CSS i denna text genom att skriva in <code>&lt;p style="[din CSS-kod h&auml;r]"&gt; &lt;/p&gt;</code>.', 'wpcf') ?><br />
	<?php _e('ie. <code>&lt;p style="color:red;"&gt;V&auml;nligen fyll i de f&auml;lt som kr&auml;vs.&lt;/p&gt;</code>.', 'wpcf') ?></td>
		  </tr> 
		</table>
		 
	</fieldset>
	
	<fieldset class="options">
		<legend><?php _e('Avancerade inst&auml;llningar', 'wpcf') ?></legend>
		
	    <table width="100%" cellpadding="5" class="editform"> 
	      <tr valign="top">
	        <th width="30%" scope="row" style="text-align: left"><?php _e('Visa \'Kontaktformul&auml;r\' snabbtag', 'wpcf') ?></th>
	        <td>
	        	<input name="wpcf_show_quicktag" type="checkbox" id="wpcf_show_quicktag" value="wpcf_show_quicktag"
	        	<?php if($wpcf_show_quicktag == TRUE) {?> checked="checked" <?php } ?> />
			</td>
	      </tr>
	     </table> 
		 
	</fieldset>
	
    <p class="submit">
      <input type="submit" name="Submit" value="<?php _e('Uppdatera inst&auml;llningarna', 'wpcf') ?> &raquo;" />
    </p>
  </form> 
</div>
